Skip to main content
`Ctrl`+`K`

# MatColoringPatch

Used inside matrix coloring routines that use `MatGetRowIJ()` and/or `MatGetColumnIJ()`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringPatch(Mat mat, PetscInt ncolors, PetscInt n, ISColoringValue colorarray[], ISColoring *iscoloring)

Collective

## Input Parameters

- mat - the matrix

- ncolors - maximum color value

- n - number of entries in colorarray

- colorarray - array indicating color for each column

## Output Parameter

- iscoloring - coloring generated using colorarray information

## See Also

Matrices, `Mat`, `MatGetRowIJ()`, `MatGetColumnIJ()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages